cURL
curl --request GET \
--url https://api.pricenow.dev/api/orders/by-checkout/{checkoutId} \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>'import requests
url = "https://api.pricenow.dev/api/orders/by-checkout/{checkoutId}"
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>'
}
};
fetch('https://api.pricenow.dev/api/orders/by-checkout/{checkoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"accountId": 123,
"purchasedAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"referenceNumber": "<string>",
"currency": "<string>",
"listPriceGross": 123,
"listPriceNet": 123,
"promoCodeDiscount": 123,
"autoDiscountAmount": 123,
"totalDiscountGross": 123,
"totalDiscountNet": 123,
"donation": {
"type": "DONATION",
"amount": 123
},
"totalGross": 123,
"totalNet": 123,
"metadata": {
"weatherGuarantee": {}
},
"salesChannel": {
"uuid": "<string>",
"name": "<string>"
},
"checkoutConditions": {
"defaultValues": {},
"formDefinition": {},
"values": {}
},
"promoCodes": [
{
"id": 123,
"code": "<string>",
"displayName": "<string>",
"description": "<string>",
"discount": 123,
"valid": true,
"totalAmount": 123
}
],
"autoDiscounts": [
{
"id": 123,
"displayName": "<string>",
"description": "<string>",
"discount": 123
}
],
"billingAddress": {
"id": 123,
"addressLine1": "<string>",
"addressLine2": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"countryCode": "<string>",
"purpose": []
},
"shippingAddress": {
"id": 123,
"addressLine1": "<string>",
"addressLine2": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"countryCode": "<string>",
"purpose": []
},
"payment": {
"totalAmount": 123,
"currency": "<string>",
"errors": [
"<string>"
],
"primaryPaymentProvider": {
"paymentMethod": {
"provider": "EGUMA",
"type": "voucher"
},
"amount": 123
},
"secondaryPaymentProviders": [
{
"paymentMethod": {
"provider": "EGUMA",
"type": "voucher"
},
"amount": 123
}
]
},
"vouchers": [
{
"code": "<string>",
"amount": 123
}
],
"items": [
{
"id": 123,
"parentItemId": 123,
"productVariant": {
"productId": 123,
"name": "<string>",
"id": 123,
"vatRate": 123,
"attributes": [
{
"name": "<string>",
"identifier": "<string>",
"value": "<string>",
"sortOrder": 123,
"metaInformation": {},
"translation": "<string>"
}
],
"translation": "<string>",
"product": {
"id": 123,
"sortOrder": 123,
"name": "<string>",
"translation": "<string>",
"identifier": "<string>",
"isSubscription": true,
"standalone": true,
"hasValidity": true,
"imageUrl": "<string>",
"merchant": {
"identifier": "<string>",
"timezone": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"slug": "<string>"
},
"availableMedia": [
{
"description": "<string>",
"name": "<string>",
"id": 123,
"priceComponents": [
{
"price": 123,
"productVariant": {
"id": 123,
"name": "<string>",
"translation": "<string>",
"vatRate": 123,
"productId": 123,
"attributes": [
{
"name": "<string>",
"identifier": "<string>",
"value": "<string>",
"sortOrder": 123,
"metaInformation": {},
"translation": "<string>"
}
]
}
}
]
}
]
},
"validity": {
"from": "<string>",
"to": "<string>"
},
"parentItem": "<unknown>",
"childItems": "<array>",
"person": {
"id": 123,
"accountId": 123,
"formDefinition": {},
"defaultValues": {},
"values": {},
"isOwner": true
},
"keycard": {
"id": 123,
"dataCarrierId": "<string>",
"personId": 123,
"metaInformation": {}
},
"medium": {
"description": "<string>",
"name": "<string>",
"id": 123,
"priceComponents": [
{
"price": 123,
"productVariant": {
"id": 123,
"name": "<string>",
"translation": "<string>",
"vatRate": 123,
"productId": 123,
"attributes": [
{
"name": "<string>",
"identifier": "<string>",
"value": "<string>",
"sortOrder": 123,
"metaInformation": {},
"translation": "<string>"
}
]
}
}
],
"requiresKeycard": true,
"keycard": {
"id": 123,
"dataCarrierId": "<string>",
"personId": 123,
"metaInformation": {}
}
},
"listPriceGross": 123,
"listPriceNet": 123,
"promoCodeDiscount": 123,
"autoDiscount": {
"id": 123,
"displayName": "<string>",
"description": "<string>",
"discount": 123
},
"autoDiscountAmount": 123,
"totalDiscountGross": 123,
"totalDiscountNet": 123,
"donation": {
"type": "DONATION",
"amount": 123
},
"totalGross": 123,
"totalNet": 123,
"vatRate": 123,
"displayPrice": true,
"requiresPersonalization": true,
"requiresValidation": true,
"requiresMedium": true,
"isConfirmationRequired": true,
"isFlexTicket": true,
"isMaxOneTicketPerPerson": true,
"isUniqueItem": true,
"supportsWeatherGuarantee": true,
"hasWeatherGuarantee": true
}
]
}
}orders
Get apiordersby checkout
Get an order by checkout id. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
GET
/
api
/
orders
/
by-checkout
/
{checkoutId}
cURL
Headers
Language of the response
Available options:
en, de, fr, it Required by shared customer authentication. Ignored for customer order access filtering; access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
Path Parameters
Response
200 - application/json
Successful response
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I

